CNC

You are not logged in. [ Login ] Why log in
(NOTE: Login is not required to post)

Biesseworks - Parametric arks

5/17/17       
JOHN ALVES Member

I am trying to create some Kitchen doors in Parametric on Biesseworks, however I am having a few issues with this one.

I made a drawing in AutoCAD first to get all my points (see attached pdf) but when I input those points on Biesseworks the arks are in the wrong direction as you can see in the attached picture.

Any ideas what I need to do to fix this?

Thank you.

Click the link below to download the file included with this post.

CITDAL_DOOR_FISH_EYE.pdf


View higher quality, full size image (1366 X 768)

5/17/17       #2: Biesseworks - Parametric arks ...
Wood Dust

Call Biesse direct, they do free phone support. They should be able to help you with all of this no problem.

5/17/17       #3: Biesseworks - Parametric arks ...
Pat Gilbert

There should be a utility to reverse the direction of the line.

You can also do this in Auto Cad, google it.

5/17/17       #4: Biesseworks - Parametric arks ...
John Alves Member

I tried that it didn't work.

5/18/17       #5: Biesseworks - Parametric arks ...
Dan

Did you try changing the solution value on the arc?

5/18/17       #6: Biesseworks - Parametric arks ...
cabinetmaker

Are you breaking up the arc in multiple segments ? Two end points and a center point can sometimes be to little

Some of the older Biesse editors followed the geometric commands and heiracy so heavily, I would be writing code for hours because I couldn't wrap my head around sons of the macros and the editor functions in the prompts

5/23/17       #7: Biesseworks - Parametric arks ...
Jarvis Hamm

Can you send me the files for acad and bpp file and I'll takeep a look at it

Thanks

Jarvis

5/24/17       #8: Biesseworks - Parametric arks ...
Kevin Member

I agree with Dan. In Biesseworks the arc comands have some choices at the bottom of the window. Try different (DIR), (SOL). I think if you tried a different solution it will rectify your issue.

5/25/17       #9: Biesseworks - Parametric arks ...
ANTONY Member

you can use this lisp file to change polyline direction (cw / ccw) in autocad.

(defun c:rpoly ( / unit mxv v^v transptucs transptwcs 3dplv hplv ohplv lplv olplv splv helv ListClockwise-p

ss cmde i c ch ent l ll clw

)

(defun unit ( v )

(mapcar '(lambda ( x ) (/ x (distance '(0.0 0.0 0.0) v))) v)
)

(defun mxv ( m v )

(mapcar '(lambda ( r ) (apply '+ (mapcar '* r v))) m)
)

(defun v^v ( u v )

(mapcar '(lambda ( n ) (- (* (nth (car n) u) (nth (cadr n) v)) (* (nth (cadr n) u) (nth (car n) v)))) '((1 2) (2 0) (0 1)))
)

(defun transptucs ( pt p1 p2 p3 / ux uy uz )

(setq uz (unit (v^v (mapcar '- p2 p1) (mapcar '- p3 p1))))

(setq ux (unit (mapcar '- p2 p1)))

(setq uy (unit (mapcar '- p3 p1)))

(mxv (list ux uy uz) (mapcar '- pt p1))
)

(defun transptwcs ( pt pt1 pt2 pt3 / pt1n pt2n pt3n )

(setq pt1n (transptucs '(0.0 0.0 0.0) pt1 pt2 pt3))

(setq pt2n (transptucs '(1.0 0.0 0.0) pt1 pt2 pt3))

(setq pt3n (transptucs '(0.0 1.0 0.0) pt1 pt2 pt3))

(transptucs pt pt1n pt2n pt3n)
)

(defun 3dplv ( pl / v vl )

(if (and (eq (cdr (assoc 0 (entget pl))) "POLYLINE") ( : "))
(if (eq c "CCW")

(progn

(initget "UCS OCS")

(setq ch (getkword "\nSet 3DPOLYLINES, SPLINES, HELIXES clockwise viewed from UCS and 2DPOLYLINES viewed from (UCS / OCS) : "))

(if (eq ch "UCS")

(progn

(while (setq ent (ssname ss (setq i (1+ i))))

(cond

( (and (eq (cdr (assoc 0 (entget ent))) "POLYLINE") ( : "))

(if (eq ch "UCS")

(progn

(while (setq ent (ssname ss (setq i (1+ i))))

(cond

( (and (eq (cdr (assoc 0 (entget ent))) "POLYLINE") (< 7 (cdr (assoc 70 (entget ent))) 14))

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (3dplv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "3DPOLYLINE" l)

(setq l (subst (cons "3DPOLYLINE" (1+ (cdr (assoc "3DPOLYLINE" l)))) (assoc "3DPOLYLINE" l) l))

(setq l (cons (cons "3DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "3DPOLYLINE" ll)

(setq ll (subst (cons "3DPOLYLINE" (1+ (cdr (assoc "3DPOLYLINE" ll)))) (assoc "3DPOLYLINE" ll) ll))

(setq ll (cons (cons "3DPOLYLINE" 1) ll))

)

)

)

)

)

( (and (eq (cdr (assoc 0 (entget ent))) "POLYLINE") (< -1 (cdr (assoc 70 (entget ent))) 6))

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (hplv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "HEAVY2DPOLYLINE" l)

(setq l (subst (cons "HEAVY2DPOLYLINE" (1+ (cdr (assoc "HEAVY2DPOLYLINE" l)))) (assoc "HEAVY2DPOLYLINE" l) l))

(setq l (cons (cons "HEAVY2DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "HEAVY2DPOLYLINE" ll)

(setq ll (subst (cons "HEAVY2DPOLYLINE" (1+ (cdr (assoc "HEAVY2DPOLYLINE" ll)))) (assoc "HEAVY2DPOLYLINE" ll) ll))

(setq ll (cons (cons "HEAVY2DPOLYLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "LWPOLYLINE")

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (lplv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "LIGHTWEIGHT2DPOLYLINE" l)

(setq l (subst (cons "LIGHTWEIGHT2DPOLYLINE" (1+ (cdr (assoc "LIGHTWEIGHT2DPOLYLINE" l)))) (assoc "LIGHTWEIGHT2DPOLYLINE" l) l))

(setq l (cons (cons "LIGHTWEIGHT2DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "LIGHTWEIGHT2DPOLYLINE" ll)

(setq ll (subst (cons "LIGHTWEIGHT2DPOLYLINE" (1+ (cdr (assoc "LIGHTWEIGHT2DPOLYLINE" ll)))) (assoc "LIGHTWEIGHT2DPOLYLINE" ll) ll))

(setq ll (cons (cons "LIGHTWEIGHT2DPOLYLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "SPLINE")

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (splv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "SPLINE" l)

(setq l (subst (cons "SPLINE" (1+ (cdr (assoc "SPLINE" l)))) (assoc "SPLINE" l) l))

(setq l (cons (cons "SPLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "SPLINE" ll)

(setq ll (subst (cons "SPLINE" (1+ (cdr (assoc "SPLINE" ll)))) (assoc "SPLINE" ll) ll))

(setq ll (cons (cons "SPLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "HELIX")

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (helv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "HELIX" l)

(setq l (subst (cons "HELIX" (1+ (cdr (assoc "HELIX" l)))) (assoc "HELIX" l) l))

(setq l (cons (cons "HELIX" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "HELIX" ll)

(setq ll (subst (cons "HELIX" (1+ (cdr (assoc "HELIX" ll)))) (assoc "HELIX" ll) ll))

(setq ll (cons (cons "HELIX" 1) ll))

)

)

)

)

)

)

)

)

(progn

(while (setq ent (ssname ss (setq i (1+ i))))

(cond

( (and (eq (cdr (assoc 0 (entget ent))) "POLYLINE") (< 7 (cdr (assoc 70 (entget ent))) 14))

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (3dplv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "3DPOLYLINE" l)

(setq l (subst (cons "3DPOLYLINE" (1+ (cdr (assoc "3DPOLYLINE" l)))) (assoc "3DPOLYLINE" l) l))

(setq l (cons (cons "3DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "3DPOLYLINE" ll)

(setq ll (subst (cons "3DPOLYLINE" (1+ (cdr (assoc "3DPOLYLINE" ll)))) (assoc "3DPOLYLINE" ll) ll))

(setq ll (cons (cons "3DPOLYLINE" 1) ll))

)

)

)

)

)

( (and (eq (cdr (assoc 0 (entget ent))) "POLYLINE") (< -1 (cdr (assoc 70 (entget ent))) 6))

(if (eq (setq clw (ListClockwise-p (ohplv ent))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "HEAVY2DPOLYLINE" l)

(setq l (subst (cons "HEAVY2DPOLYLINE" (1+ (cdr (assoc "HEAVY2DPOLYLINE" l)))) (assoc "HEAVY2DPOLYLINE" l) l))

(setq l (cons (cons "HEAVY2DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "HEAVY2DPOLYLINE" ll)

(setq ll (subst (cons "HEAVY2DPOLYLINE" (1+ (cdr (assoc "HEAVY2DPOLYLINE" ll)))) (assoc "HEAVY2DPOLYLINE" ll) ll))

(setq ll (cons (cons "HEAVY2DPOLYLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "LWPOLYLINE")

(if (eq (setq clw (ListClockwise-p (olplv ent))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "LIGHTWEIGHT2DPOLYLINE" l)

(setq l (subst (cons "LIGHTWEIGHT2DPOLYLINE" (1+ (cdr (assoc "LIGHTWEIGHT2DPOLYLINE" l)))) (assoc "LIGHTWEIGHT2DPOLYLINE" l) l))

(setq l (cons (cons "LIGHTWEIGHT2DPOLYLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "LIGHTWEIGHT2DPOLYLINE" ll)

(setq ll (subst (cons "LIGHTWEIGHT2DPOLYLINE" (1+ (cdr (assoc "LIGHTWEIGHT2DPOLYLINE" ll)))) (assoc "LIGHTWEIGHT2DPOLYLINE" ll) ll))

(setq ll (cons (cons "LIGHTWEIGHT2DPOLYLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "SPLINE")

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (splv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "SPLINE" l)

(setq l (subst (cons "SPLINE" (1+ (cdr (assoc "SPLINE" l)))) (assoc "SPLINE" l) l))

(setq l (cons (cons "SPLINE" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "SPLINE" ll)

(setq ll (subst (cons "SPLINE" (1+ (cdr (assoc "SPLINE" ll)))) (assoc "SPLINE" ll) ll))

(setq ll (cons (cons "SPLINE" 1) ll))

)

)

)

)

)

( (eq (cdr (assoc 0 (entget ent))) "HELIX")

(if (eq (setq clw (ListClockwise-p (mapcar '(lambda ( p ) (trans p 0 1)) (helv ent)))) nil)

(progn

(command "_.reverse" ent "")

(if (assoc "HELIX" l)

(setq l (subst (cons "HELIX" (1+ (cdr (assoc "HELIX" l)))) (assoc "HELIX" l) l))

(setq l (cons (cons "HELIX" 1) l))

)

)

(progn

(if (vl-catch-all-error-p clw)

(if (assoc "HELIX" ll)

(setq ll (subst (cons "HELIX" (1+ (cdr (assoc "HELIX" ll)))) (assoc "HELIX" ll) ll))

(setq ll (cons (cons "HELIX" 1) ll))

)

)

)

)

)

)

)

)

)

)
)
(foreach e l

(prompt "\n\nTotal reversement in ") (if (eq c "CCW") (prompt "counter-clock-wise direction of \"") (prompt "clock-wise direction of \"")) (prompt (car e)) (prompt "\" entity(ies) is(are) : ") (princ (itoa (cdr e)))
)
(prompt "\n")
(foreach e ll

(prompt "\nTotal unknown direction of vertices - no reversement processed of \"") (prompt (car e)) (prompt "\" entity(ies) is(are) : ") (princ (itoa (cdr e)))
)
(setvar 'cmdecho cmde)
(princ)
)

(defun c:sclw nil (c:setplsplhelclockw))


Post a Response
  • Notify me of responses to this thread
  • Subscribe to email updates on this Forum
  • To receive email notification of additions to this forum thread,
    enter your name and email address, and then click the
    "Keep Me Posted" button below.

    Please Note: If you have posted a message or response,
    do not submit this request ... you are already signed up
    to receive notification!

    Your Name:
    E-Mail Address:
    Enter the correct numbers into the field below:
     

    Date of your Birth:



    Return to top of page

    Buy & Sell Exchanges | Forums | Galleries | Site Map

    FORUM GUIDELINES: Please review the guidelines below before posting at WOODWEB's Interactive Message Boards (return to top)

  • WOODWEB is a professional industrial woodworking site. Hobbyist and homeowner woodworking questions are inappropriate.
  • Messages should be kept reasonably short and on topic, relating to the focus of the forum. Responses should relate to the original question.
  • A valid email return address must be included with each message.
  • Advertising is inappropriate. The only exceptions are the Classified Ads Exchange, Machinery Exchange, Lumber Exchange, and Job Opportunities and Services Exchange. When posting listings in these areas, review the posting instructions carefully.
  • Subject lines may be edited for length and clarity.
  • "Cross posting" is not permitted. Choose the best forum for your question, and post your question at one forum only.
  • Messages requesting private responses will be removed - Forums are designed to provide information and assistance for all of our visitors. Private response requests are appropriate at WOODWEB's Exchanges and Job Opportunities and Services.
  • Messages that accuse businesses or individuals of alleged negative actions or behavior are inappropriate since WOODWEB is unable to verify or substantiate the claims.
  • Posts with the intent of soliciting answers to surveys are not appropriate. Contact WOODWEB for more information on initiating a survey.
  • Excessive forum participation by an individual upsets the balance of a healthy forum atmosphere. Individuals who excessively post responses containing marginal content will be considered repeat forum abusers.
  • Responses that initiate or support inappropriate and off-topic discussion of general politics detract from the professional woodworking focus of WOODWEB, and will be removed.
  • Participants are encouraged to use their real name when posting. Intentionally using another persons name is prohibited, and posts of this nature will be removed at WOODWEB's discretion.
  • Comments, questions, or criticisms regarding Forum policies should be directed to WOODWEB's Systems Administrator
    (return to top).

    Carefully review your message before clicking on the "Send Message" button - you will not be able to revise the message once it has been sent.

    You will be notified of responses to the message(s) you posted via email. Be sure to enter your email address correctly.

    WOODWEB's forums are a highly regarded resource for professional woodworkers. Messages and responses that are crafted in a professional and civil manner strengthen this resource. Messages that do not reflect a professional tone reduce the value of our forums.

    Messages are inappropriate when their content: is deemed libelous in nature or is based on rumor, fails to meet basic standards of decorum, contains blatant advertising or inappropriate emphasis on self promotion (return to top).

    Libel:   Posts which defame an individual or organization, or employ a tone which can be viewed as malicious in nature. Words, pictures, or cartoons which expose a person or organization to public hatred, shame, disgrace, or ridicule, or induce an ill opinion of a person or organization, are libelous.

    Improper Decorum:   Posts which are profane, inciting, disrespectful or uncivil in tone, or maliciously worded. This also includes the venting of unsubstantiated opinions. Such messages do little to illuminate a given topic, and often have the opposite effect. Constructive criticism is acceptable (return to top).

    Advertising:   The purpose of WOODWEB Forums is to provide answers, not an advertising venue. Companies participating in a Forum discussion should provide specific answers to posted questions. WOODWEB suggests that businesses include an appropriately crafted signature in order to identify their company. A well meaning post that seems to be on-topic but contains a product reference may do your business more harm than good in the Forum environment. Forum users may perceive your references to specific products as unsolicited advertising (spam) and consciously avoid your web site or services. A well-crafted signature is an appropriate way to advertise your services that will not offend potential customers. Signatures should be limited to 4-6 lines, and may contain information that identifies the type of business you're in, your URL and email address (return to top).

    Repeated Forum Abuse: Forum participants who repeatedly fail to follow WOODWEB's Forum Guidelines may encounter difficulty when attempting to post messages.

    There are often situations when the original message asks for opinions: "What is the best widget for my type of shop?". To a certain extent, the person posting the message is responsible for including specific questions within the message. An open ended question (like the one above) invites responses that may read as sales pitches. WOODWEB suggests that companies responding to such a question provide detailed and substantive replies rather than responses that read as a one-sided product promotion. It has been WOODWEB's experience that substantive responses are held in higher regard by our readers (return to top).

    The staff of WOODWEB assume no responsibility for the accuracy, content, or outcome of any posting transmitted at WOODWEB's Message Boards. Participants should undertake the use of machinery, materials and methods discussed at WOODWEB's Message Boards after considerate evaluation, and at their own risk. WOODWEB reserves the right to delete any messages it deems inappropriate. (return to top)


  • Forum Posting Help
    Your Name The name you enter in this field will be the name that appears with your post or response (return to form).
    Your Website Personal or business website links must point to the author's website. Inappropriate links will be removed without notice, and at WOODWEB's sole discretion. WOODWEB reserves the right to delete any messages with links it deems inappropriate. (return to form)
    E-Mail Address Your e-mail address will not be publicly viewable. Forum participants will be able to contact you using a contact link (included with your post) that is substituted for your actual address. You must include a valid email address in this field. (return to form)
    Subject Subject may be edited for length and clarity. Subject lines should provide an indication of the content of your post. (return to form)
    Thread Related Link and Image Guidelines Thread Related Links posted at WOODWEB's Forums and Exchanges should point to locations that provide supporting information for the topic being discussed in the current message thread. The purpose of WOODWEB Forums is to provide answers, not to serve as an advertising venue. A Thread Related Link that directs visitors to an area with inappropriate content will be removed. WOODWEB reserves the right to delete any messages with links or images it deems inappropriate. (return to form)
    Thread Related File Uploads Thread Related Files posted at WOODWEB's Forums and Exchanges should provide supporting information for the topic being discussed in the current message thread. Video Files: acceptable video formats are: .MOV .AVI .WMV .MPEG .MPG .MP4 (Image Upload Tips)   If you encounter any difficulty when uploading video files, E-mail WOODWEB for assistance. The purpose of WOODWEB Forums is to provide answers, not to serve as an advertising venue. A Thread Related File that contains inappropriate content will be removed, and uploaded files that are not directly related to the message thread will be removed. WOODWEB reserves the right to delete any messages with links, files, or images it deems inappropriate. (return to form)
    Onsrud Cutter Vortex Tool Company T-Tool USA